/* ==========================================================================
   Font Styles
   ========================================================================== */

.fjalla-one{
  font-family: "Fjalla One", Arial, sans-serif;
}

.open-sans{
  font-family: "Open Sans", "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, sans-serif
}

body{
  @extend .open-sans;
  @include font-smoothing();
  //@include text-stroke(0.1);
  //font-weight: jacket-else(300,400,ff);
}

#page-contents {
  //@include text-stroke(1, 0,0,0, 0.25);
}

#{headings(all)},
#{enumerate(".h",1,6,'')},
footer{
  @extend .fjalla-one;
  letter-spacing: 0.01em;
  font-weight: 500;
  line-height: 1.2;
}

.aa{
  font-size: 1.1em
  /*vertical-align: text-bottom;*/
}

.text-shadow/*,
#{enumerate(".row div h",1,6,'')}*/ {
  @include text-shadow(5px 5px 4px rgba(0, 0, 0, 0.2));
}

/* ==========================================================================
   Font Awsome (fa) & glyphicons
   ========================================================================== */

.fa-tw:before {
  content: "\f099";
  font-size: 1.3em
}
.fa-tw-o:before {
  content: "\f081";
}

.fa-gp:before {
  content: "\f0d5";
  color: #dd4b39
}

.el-th, .glyphicon-home{
  position: relative;
  top: 0.09em;
}
.el-th{
  font-size: 1.11em;
}

/* Add default icon right margin. */
.fa,
.glyphicon,
[class*="el-"] {
  margin-right: 0.3575em
}
/* Remove default icon right margin from last child elments. */
.fa:last-child,
.glyphicon:last-child,
[class*="el-"]:last-child {
  margin-right: 0
}

/* Add default icon left margin for icons following elements. */
* + {
  .fa,
  .glyphicon,
  [class*="el-"] {
    margin-left: 0.3575em
  }
}
/* Remove default icon left margin from icons following other icons. */
.fa + {
  .fa,
  .glyphicon,
  [class*="el-"] {
    margin-left: 0
  }
}
/* Remove default icon margins from stacked icons. */
.fa-stack {
  >,+ {
    .fa, .glyphicon, [class*="el-"] {
      margin-left: 0;
      margin-right: 0
    }
  }
}

.glyphicon-envelope, .glyphicon-info-sign{
  top: 0.15em
}

.fa-2-4x{
  font-size: 2.4em
}

.fa-6x {
  font-size: 6em
}
.fa-7x {
  font-size: 7em
}

/* fa stack extensions */
.fa-stack-0-7x {
  line-height: inherit;
  position: absolute;
  left: 0;
  width: 100%;
  text-align: center;
  font-size: 0.7em
}

.fa-stack-0-5x {
  line-height: inherit;
  position: absolute;
  left: 0;
  width: 100%;
  text-align: center;
  font-size: 0.5em
}

@media (max-width:767px){
  .fa-3x.resize-shrink {
    font-size: 1.5em
  }
  .fa-4x.resize-shrink {
    font-size: 2.5em
  }
  .fa-5x.resize-shrink {
    font-size: 3.5em
  }
  .fa-6x.resize-shrink{
    font-size: 4.5em
  }
  .fa-7x.resize-shrink{
    font-size: 5.5em
  }
}
@media (max-width:512px) {
  .fa-3x.resize-shrink {
    font-size: 1.25em
  }
  .fa-4x.resize-shrink {
    font-size: 1.5em
  }
  .fa-5x.resize-shrink {
    font-size: 2.5em
  }
  .fa-6x.resize-shrink {
    font-size: 3.5em
  }
  .fa-7x.resize-shrink {
    font-size: 4.5em
  }
}